import java.util.Scanner;

//2. UserInput
public class UserInput {
	
	// user input
	private static Scanner scan = new Scanner(System.in);

	private UserInput() {}
	
	public static String getStringValue(String description)	{
		System.out.print(description);
		String line = scan.nextLine();
		return line;
	}
	
	public static int getIntegerValue(String description) {
		System.out.print(description);
		int value;
		while(true) {
			String line = scan.nextLine();
			try {
				value = Integer.parseInt(line);
				break;
			}
			catch (Exception e) {
				System.out.print("Error! Please enter [int value]: ");
			}
		}
		return value;
	}

	public static Gender getGender(String description) {
		int value = 0;
		do {
			System.out.print(description);
			String line = scan.nextLine();
			try {
				value = Integer.parseInt(line);
			}
			catch (Exception e) {
				System.out.printf("Error! Please re-enter");
				continue;
			}
		} while(value < 1 || value > 2);
		return Gender.typeOf(value);
	}

	public static Person getPerson() {
		String name = getStringValue("Please enter [person name]: ");
		int age = getIntegerValue("Please enter [person age]: ");
		Gender gender = getGender("Please enter [1.FEMALE, 2.MALE]: ");
		return new Person(name, age, gender);
	}

	public static Person[] getPersons(int num) {
		Person[] personArray = new Person[num];
		for (int i=0; i<personArray.length; i++) {
			personArray[i] = getPerson();
		}
		return personArray;
	}
	
	public static boolean getExitKey() {
		System.out.print("Press q-key to exit the program or enter-key to start the program: ");
		String s = scan.nextLine();
        if (s.contentEquals("q"))
            return true;
        else
        	return false;
	}
}
